1.2

1.2

get /v1/apis/{api_id}/resources

Description

Get resources list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKResourceListResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "resources": [
        {
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "methods": [
                {
                    "api_key_required": false,
                    "endpoint_url": "https://127.0.0.1:8000",
                    "function_id": "27bb070b564349f8a31cc60734cc36a5",
                    "function_name": "test-function",
                    "integration_type": "HTTP",
                    "method_type": "GET",
                    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
                    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
                    "request_headers": "{'test1' : True}",
                    "request_path": "{users}",
                    "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
                }
            ],
            "parent_id": "27bb070b564349f8a31cc60734cc36a5",
            "path": "/test/test1",
            "path_part": "test"
        }
    ]
}